org.gradle.api.artifacts

## Class Configuration.Namer

- java.lang.Object
- - org.gradle.api.artifacts.Configuration.Namer

- All Implemented Interfaces:
    Namer<Configuration>
  Enclosing interface:
    Configuration

      public static class Configuration.Namer
      extends Object
      implements Namer<Configuration>

  A `Namer` namer for configurations that returns `Configuration.getName()`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Namer

      `Namer.Comparator<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration.Namer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `determineName(Configuration c)` Determines the name of the given object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Configuration.Namer

          public Configuration.Namer()

  - ### Method Detail

    - #### determineName

          public String determineName(Configuration c)

      Description copied from interface: `Namer`
      Determines the name of the given object.
      Specified by:
        `determineName` in interface `Namer<Configuration>`
      Parameters:
        `c` - The object to determine the name of
      Returns:
        The object's inherent name. Never null.